=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2006-11-02 07:29:02 +0000
+++ bzrlib/osutils.py	2006-11-02 21:11:19 +0000
@@ -332,10 +332,10 @@
         """Error handler for shutil.rmtree function [for win32]
         Helps to remove files and dirs marked as read-only.
         """
-        type_, value = excinfo[:2]
+        exception = excinfo[1]
         if function in (os.remove, os.rmdir) \
-            and type_ == OSError \
-            and value.errno == errno.EACCES:
+            and isinstance(exception, OSError) \
+            and exception.errno == errno.EACCES:
             make_writable(path)
             function(path)
         else:

